## heimdal 1.6~git20131207%2Bdfsg

=== debian/changelog ===
heimdal (1.6~git20131207+dfsg-1ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: KDC-REP service name impersonation
    - debian/patches/CVE-2017-11103.patch: use encrypted service
      name rather than unencrypted (and therefore spoofable) version
    - CVE-2017-11103

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 13 Jul 2017 15:54:28 -0700

heimdal (1.6~git20131207+dfsg-1ubuntu1.1) trusty; urgency=medium

  * Add 048_kdc_memleak patch based on Debian bug #746486. LP: #1422359

 -- Patrik Lundin <patrik.lundin@su.se>  Tue, 03 Mar 2015 08:16:15 -0800

heimdal (1.6~git20131207+dfsg-1ubuntu1) trusty; urgency=medium

  * Enable parallel build.
  * Link tests against just compiled gssapi, instead of the system
    one. Fixes FTBFS due to missing symbols.
  * Dropped changes - debian/patches/044_file_desc, included in the new
    upstream snapshot.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Feb 2014 13:06:28 +0000

heimdal (1.6~git20131207+dfsg-1) unstable; urgency=medium

  * New upstream snapshot from 1.6 branch.
   + Drop 043_hx509_heimbase: applied upstream.
   + Drop 044_krb5_pcfile: applied upstream.
  * Add 046_kcm_supports_sigterm. Closes: #654349
  * Add Provides: heimdal-hdb-api-8 to hdb package, so Samba and others can
    depend on a specific version of the API.
  * Add 047_fix_hdb_so_loading, fixing plugin loading
    in the HDB library. Thanks Andrew Bartlett, Jeff Clark.
  * Bump standards version to 3.9.5. (no changes)
  * Document log destination format in kdc.conf rather than referring to
    krb5_openlog.3 manpage shipped in heimdal-dev. Closes: #674542
  * Drop obsolete bzr-builddeb.conf.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Dec 2013 13:32:43 +0000
