=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$//,uversionmangle=s/(pre\d|rc\d)/~$1/ \
  http://www.h5l.org/dist/src/heimdal-(.*)\.tar\.gz
