## heimdal 1.6~rc2%2Bdfsg

=== debian/changelog ===
heimdal (1.6~rc2+dfsg-9) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Add 051_bug746486-memleak: cherry-pick memory leak fix in KDC from
    upstream. Thanks GALAMBOS Daniel. Closes: #746486
  * Add Turkish debconf translation. Thanks Mert Dirik. Closes: #759877

  [ Andreas Beckmann ]
  * heimdal-clients.postinst: Cleanup obsolete telnet, rsh and pop
    alternatives.  (Closes: #768243)

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 25 Aug 2014 13:52:44 +0200

heimdal (1.6~rc2+dfsg-8) unstable; urgency=low

  * Add branch to Vcs-Git header. Closes: #753843
  * Add note in lintian-overrides about rfc3492. Closes: #753841

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 21:18:49 +0200

heimdal (1.6~rc2+dfsg-7) unstable; urgency=medium

  * Use alternatives for kpasswd, ksu, kdestroy, kswitch, kadmin and ktutil.
    + Allows installation together with krb5-user. Closes: #482528
  * Move kadmin and ktutil from /usr/sbin to /usr/bin. Closes: #168170

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 Jun 2014 21:55:06 +0200

heimdal (1.6~rc2+dfsg-6) unstable; urgency=medium

  * Remove duplicate dependency on ${misc:Depends} in heimdal-dev.
  * Use canonical URL in Vcs-Git header.
  * Drop conflicts with rsh-client in heimdal-clients, as rsh is no
    longer shipped.
  * Add 049_testkdc_timeout: Extend timeout waiting for iprop slave to
    come up during tests. Closes: #745683

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Apr 2014 02:30:19 +0200

heimdal (1.6~rc2+dfsg-5) unstable; urgency=medium

  * Restrict flags output by pkg-config further. (#745543)
  * Drop unnecessary build conflict with heimdal-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Apr 2014 02:21:25 +0200

heimdal (1.6~rc2+dfsg-4) unstable; urgency=medium

  * Fix use of as-needed linker flag.
  * Prevent build errors when system gssapi library has extra symbols.
    Thanks Dimitri John Ledkov. Closes: #745545
  * Enable parallel build. Thanks Dimitri John Ledkov. Closes: #745508
  * Don't list libraries not required for dynamic linking in .pc files.
    Closes: #745543

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Apr 2014 18:15:02 +0200

heimdal (1.6~rc2+dfsg-3) unstable; urgency=medium

  * Use alternatives for klist and kinit. Closes: #205498
  * Add lintian-override for license warning of multi-license RFC 3492.
  * Enable running of testsuite during build.
  * Add unzip (for unzip binary) and netbase (for /etc/services) build
    dependencies, required for testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Apr 2014 22:52:30 +0200

heimdal (1.6~rc2+dfsg-2) unstable; urgency=medium

  * Add 046_hurd_sundevdata: Fix definition of _IOT_sundevdata for GNU
    Hurd. Thanks, Svante Signell. Closes: #738669

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Mar 2014 17:48:26 +0000

heimdal (1.6~rc2+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
   + Removes telnet, rsh and pop implementations.
    - Drop 027_rsh_use_ktelnet patch.
   + Drop 045_kadm_pcfile, now included upstream.
   + Drop 046_kcm_supports_sigterm, now included upstream.
   + Drop 047_fix_hdb_so_loading, now included upstream.
  * Add 045_hx509_symbol_names: prevent symbol renames.
  * Source lsb functions in init scripts.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Feb 2014 19:28:46 +0000
