=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $* --with autoreconf --parallel
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_strip:
 	dh_strip --dbg-package=heimdal-dbg
@@ -21,13 +23,14 @@
 	dh_makeshlibs -plibhdb9-heimdal -V"libhdb9-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
 	dh_makeshlibs -plibhx509-5-heimdal -V"libhx509-5-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
 	dh_makeshlibs -plibkadm5srv8-heimdal -V"libkadm5srv8-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
-	dh_makeshlibs -plibkadm5clnt7-heimdal -V"libkadm5clnt7-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
+	dh_makeshlibs -plibkadm5clnt7-heimdal -V"libkadm5clnt7-heimdal (>= 1.6~rc2+dfsg)" -- -c4
 	dh_makeshlibs -plibkrb5-26-heimdal -V"libkrb5-26-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
 	dh_makeshlibs -plibheimntlm0-heimdal -V"libheimntlm0-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
 	dh_makeshlibs -plibroken18-heimdal -V"libroken18-heimdal (>= 1.4.0~git20110226.dfsg.2-1)" -- -c4
 	dh_makeshlibs -plibwind0-heimdal -V"libwind0-heimdal (>= 1.4.0~git20110226.dfsg.1-1)" -- -c4
 
 override_dh_auto_test:
+	$(MAKE) check
 
 override_dh_auto_configure:
 	./configure $(shell dpkg-buildflags --export=configure) \
@@ -140,47 +143,44 @@
 	   debian/heimdal-multidev/usr/share/man/man1/krb5-config.heimdal.1
 	install -m644 debian/extras/default debian/heimdal-kdc/etc/default/heimdal-kdc
 	install -m644 lib/hdb/hdb.schema debian/heimdal-kdc/etc/ldap/schema/hdb.schema
-	mv debian/heimdal-clients/usr/bin/telnet debian/heimdal-clients/usr/bin/ktelnet
 	mv debian/heimdal-clients/usr/bin/ftp \
 	   debian/heimdal-clients/usr/bin/kftp
-	mv debian/heimdal-clients/usr/share/man/man1/telnet.1 \
-	   debian/heimdal-clients/usr/share/man/man1/ktelnet.1
 	mv debian/heimdal-clients/usr/share/man/man1/ftp.1 \
 	   debian/heimdal-clients/usr/share/man/man1/kftp.1
-	mv debian/heimdal-clients/usr/bin/rsh \
-	   debian/heimdal-clients/usr/bin/krsh
-	mv debian/heimdal-clients/usr/bin/rcp \
-	   debian/heimdal-clients/usr/bin/krcp
 	mv debian/heimdal-clients/usr/bin/pagsh \
 	   debian/heimdal-clients/usr/bin/kpagsh
 	mv debian/heimdal-clients/usr/bin/su debian/heimdal-clients/usr/bin/ksu
-	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 \
-	   debian/heimdal-clients/usr/share/man/man1/krsh.1
-	mv debian/heimdal-clients/usr/share/man/man1/rcp.1 \
-	   debian/heimdal-clients/usr/share/man/man1/krcp.1
 	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 \
 	   debian/heimdal-clients/usr/share/man/man1/kpagsh.1
 	mv debian/heimdal-clients/usr/share/man/man1/su.1 \
 	   debian/heimdal-clients/usr/share/man/man1/ksu.1
-	mv debian/heimdal-servers/usr/share/man/man1/login.1 \
-	   debian/heimdal-servers/usr/share/man/man1/login.heimdal.1
-	if [ -d debian/heimdal-docs ]; then \
-	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 \
-	   debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal; \
-	rm -f debian/heimdal-docs/usr/share/info/dir; \
-	fi
-	for l in `find $(DESTDIR)/usr/include -type d -printf "%P\n"`; do \
-		mkdir "debian/heimdal-dev/usr/include/$$l"; \
-		done
-	for l in `find $(DESTDIR)/usr/include -mindepth 1 -maxdepth 1 -type f -printf "%P\n"`; do \
-		ln -s "heimdal/$$l" "debian/heimdal-dev/usr/include/$$l"; \
-		done
-	for l in `find $(DESTDIR)/usr/include -mindepth 2 -maxdepth 2 -type f -printf "%P\n"`; do \
-		ln -s "../heimdal/$$l" "debian/heimdal-dev/usr/include/$$l"; \
-		done
-	# remove conflicting files
-	rm -rf debian/heimdal-dev/usr/include/ss
-	rm -f debian/heimdal-dev/usr/bin/mk_cmds
-	rm -f debian/heimdal-dev/usr/include/fnmatch.h
-	# remove unwanted files
-	rm -f debian/heimdal-dev/usr/lib/libss.a
+	mv debian/heimdal-clients/usr/bin/kadmin \
+	   debian/heimdal-clients/usr/bin/kadmin.heimdal
+	mv debian/heimdal-clients/usr/share/man/man1/kadmin.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kadmin.heimdal.1
+	mv debian/heimdal-clients/usr/bin/ktutil \
+	   debian/heimdal-clients/usr/bin/ktutil.heimdal
+	mv debian/heimdal-clients/usr/share/man/man1/ktutil.1 \
+	   debian/heimdal-clients/usr/share/man/man1/ktutil.heimdal.1
+	mv debian/heimdal-clients/usr/bin/kinit \
+	   debian/heimdal-clients/usr/bin/kinit.heimdal
+	mv debian/heimdal-clients/usr/bin/kswitch \
+	   debian/heimdal-clients/usr/bin/kswitch.heimdal
+	mv debian/heimdal-clients/usr/bin/kpasswd \
+	   debian/heimdal-clients/usr/bin/kpasswd.heimdal
+	mv debian/heimdal-clients/usr/bin/ksu \
+	   debian/heimdal-clients/usr/bin/ksu.heimdal
+	mv debian/heimdal-clients/usr/bin/kdestroy \
+	   debian/heimdal-clients/usr/bin/kdestroy.heimdal
+	mv debian/heimdal-clients/usr/bin/klist \
+	   debian/heimdal-clients/usr/bin/klist.heimdal
+	mv debian/heimdal-clients/usr/share/man/man1/kinit.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kinit.heimdal.1
+	mv debian/heimdal-clients/usr/share/man/man1/kdestroy.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kdestroy.heimdal.1
+	mv debian/heimdal-clients/usr/share/man/man1/kpasswd.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kpasswd.heimdal.1
+	mv debian/heimdal-clients/usr/share/man/man1/ksu.1 \
+	   debian/heimdal-clients/usr/share/man/man1/ksu.heimdal.1
+	mv debian/heimdal-clients/usr/share/man/man1/kswitch.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kswitch.heimdal.1
