## heimdal 1.6~rc2+dfsg

=== debian/changelog ===
heimdal (1.6~rc2+dfsg-9+rpi1) jessie-staging; urgency=medium

  * Disable testsuite

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 29 Mar 2015 13:45:50 +0000
