=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_makeshlibs -plibwind0-heimdal -V"libwind0-heimdal (>= 1.4.0~git20110226.dfsg.1-1)" -- -c4
 
 override_dh_auto_test:
-	$(MAKE) check
+	echo testsuite disabled
 
 override_dh_auto_configure:
 	./configure $(shell dpkg-buildflags --export=configure) \
@@ -183,4 +183,3 @@
 	mv debian/heimdal-clients/usr/share/man/man1/ksu.1 \
 	   debian/heimdal-clients/usr/share/man/man1/ksu.heimdal.1
 	mv debian/heimdal-clients/usr/share/man/man1/kswitch.1 \
-	   debian/heimdal-clients/usr/share/man/man1/kswitch.heimdal.1
