## heimdal 1.7~git20150920%2Bdfsg

=== debian/changelog ===
heimdal (1.7~git20150920+dfsg-4ubuntu1.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: KDC-REP service name impersonation
    - debian/patches/CVE-2017-11103.patch: use encrypted service
      name rather than unencrypted (and therefore spoofable) version
    - CVE-2017-11103

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 13 Jul 2017 15:52:12 -0700

heimdal (1.7~git20150920+dfsg-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/parallel-build-dependencies: Fix header dependencies
      for parallel builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Jan 2016 08:52:44 -0800

heimdal (1.7~git20150920+dfsg-4) unstable; urgency=medium

  * Re-remove .la files. Closes: #812398

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 Jan 2016 02:51:35 +0000

heimdal (1.7~git20150920+dfsg-3) unstable; urgency=medium

  * Stop shipping heimdal headers and library symlinks directly in
    /usr/include in heimdal-dev. Closes: #810990, #812130
  * Disable plugin test to prevent FTBFS. Closes: #809012

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 Jan 2016 23:11:27 +0000

heimdal (1.7~git20150920+dfsg-2) experimental; urgency=medium

  * Bump pycompat level to 9. Closes: #800520

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Oct 2015 01:41:30 +0000

heimdal (1.7~git20150920+dfsg-1) experimental; urgency=medium

  * Set Multi-Arch: same for heimdal-dbg.
  * New upstream snapshot.
   + Drop patch 024_rxtelnet: source files removed upstream.
   + Drop patch 044_hdb_ldap_static: applied upstream.
   + Drop patch 045_hx509_symbol_names: applied upstream.
   + Drop patch 048_private_libs: applied upstream.
   + Drop patch 050_kadmin_to_usr_bin: applied upstream.
   + Drop patch 051_bug746486-memleak: was cherry-picked from upstream.
   + Remove packages heimdal-clients-x and heimdal-servers-x, as their binaries
     are no longer shipped upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 15:56:49 +0000

heimdal (1.6~rc2+dfsg-10ubuntu1) wily; urgency=medium

  * debian/patches/parallel-build-dependencies: Fix header dependencies
    for parallel builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Oct 2015 00:06:03 +0000

heimdal (1.6~rc2+dfsg-10) unstable; urgency=medium

  * Add patch 060_no_build_string: removes hostname and build time from
    version string, to make build reproducible.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 16:34:32 +0000
