## heimdal 1.7~git20150920+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,32 @@
 XSBC-Original-Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Build-Depends: bison,
                comerr-dev (>= 1.41.11),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                dh-autoreconf,
                flex,
+               libcap-ng-dev [linux-any],
                libdb-dev,
                libedit-dev,
                libhesiod-dev,
+               libjson-perl,
                libldap2-dev,
                libncurses5-dev,
+               libperl4-corelibs-perl,
                libsqlite3-dev,
                libx11-dev,
                libxau-dev,
                libxt-dev,
+               netbase,
                pkg-config,
                python,
                ss-dev,
                texinfo,
+               unzip,
                x11proto-core-dev
-Build-Conflicts: heimdal-dev
-Vcs-Git: git://git.debian.org/git/collab-maint/heimdal/
+Vcs-Git: git://anonscm.debian.org/collab-maint/heimdal/ -b unstable
 
 Package: heimdal-docs
 Section: doc
@@ -37,7 +41,7 @@
           heimdal-servers (<< 0.6.3-3),
           libkrb5-15-heimdal
 Conflicts: heimdal-lib (<< 0.3c-5)
-Suggests: heimdal-clients, heimdal-clients-x, heimdal-servers, heimdal-servers-x
+Suggests: heimdal-clients, heimdal-servers
 Description: Heimdal Kerberos - documentation
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -90,8 +94,11 @@
          libkdc2-heimdal (= ${binary:Version}),
          libkrb5-26-heimdal (= ${binary:Version}),
          libwind0-heimdal (= ${binary:Version}),
-         ${misc:Depends}
-Replaces: heimdal-clients (<< 0.4e-7)
+         libotp0-heimdal (= ${binary:Version}),
+         libsl0-heimdal (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: heimdal-clients (<< 0.4e-7), heimdal-dev (<< 1.6~git20131117+dfsg-2)
 Suggests: heimdal-docs
 Description: Heimdal Kerberos - Multi-implementation Development
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -115,20 +122,6 @@
  .
  This is the development package, required for developing
  programs for Heimdal.
-
-Package: heimdal-clients-x
-Priority: extra
-Architecture: any
-Depends: heimdal-clients, ${misc:Depends}, ${shlibs:Depends}
-Replaces: heimdal-clients (<< 0.2l-2)
-Conflicts: heimdal-clients (<< 0.2l-2), kerberos4kth-x11
-Suggests: heimdal-docs
-Description: Heimdal Kerberos - X11 client programs
- Heimdal is a free implementation of Kerberos 5 that aims to be
- compatible with MIT Kerberos.
- .
- This package includes Kerberos client programs for forwarding the X
- connection securely to a remote computer.
 
 Package: heimdal-clients
 Priority: extra
@@ -140,12 +133,8 @@
            kerberos4kth-user,
            netstd,
            openafs-client (<< 1.2.2-3),
-           otp,
-           rsh-client (<< 0.16.1-1),
-           ssltelnet,
-           telnet (<< 0.17-1),
-           telnet-ssl (<< 0.14.9-2)
-Provides: ftp, rsh-client, telnet-client
+           otp
+Provides: ftp
 Suggests: heimdal-docs, heimdal-kcm
 Replaces: heimdal-servers (<< 0.6.3-12)
 Description: Heimdal Kerberos - clients
@@ -169,23 +158,6 @@
  permissions. The daemon checks the access on all operations based on
  the UID and GID of the user. The tickets are renewed as long as is
  permitted by the KDC's policy.
-
-Package: heimdal-servers-x
-Priority: extra
-Architecture: any
-Conflicts: heimdal-servers (<< 0.2l-3), kerberos4kth-x11
-Depends: heimdal-servers,
-         openbsd-inetd|inet-superserver,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: heimdal-docs
-Replaces: heimdal-servers (<< 0.2l-3)
-Description: Heimdal Kerberos - X11 server programs
- Heimdal is a free implementation of Kerberos 5 that aims to be
- compatible with MIT Kerberos.
- .
- This package includes Kerberos server programs for forwarding the X
- connection securely from a remote computer.
 
 Package: heimdal-servers
 Priority: extra
@@ -199,12 +171,8 @@
            kerberos4kth-services,
            netstd,
            pop3-server,
-           rsh-server,
-           telnet-server,
-           telnetd,
-           telnetd-ssl,
            wu-ftpd-academ (<< 2.5.0)
-Provides: ftp-server, pop3-server, rsh-server, telnet-server
+Provides: ftp-server
 Suggests: heimdal-docs
 Replaces: heimdal-clients (<< 0.2l-2)
 Description: Heimdal Kerberos - server programs
@@ -215,6 +183,7 @@
  compiled with Heimdal support.
 
 Package: heimdal-dbg
+Multi-Arch: same
 Priority: extra
 Architecture: any
 Section: debug
@@ -271,6 +240,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: heimdal-lib (<< 0.3e-5)
 Conflicts: heimdal-libs (<< 0.3e-5)
+Provides: heimdal-hdb-api-8
 Description: Heimdal Kerberos - kadmin server library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -367,3 +337,39 @@
  .
  This package contains the library for SL support.
 
+Package: libkdc2-heimdal
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Heimdal Kerberos - KDC support library
+ Heimdal is a free implementation of Kerberos 5 that aims to be
+ compatible with MIT Kerberos.
+
+Package: libhx509-5-heimdal
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Heimdal Kerberos - X509 support library
+ Heimdal is a free implementation of Kerberos 5 that aims to be
+ compatible with MIT Kerberos.
+
+Package: libheimntlm0-heimdal
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Heimdal Kerberos - NTLM support library
+ Heimdal is a free implementation of Kerberos 5 that aims to be
+ compatible with MIT Kerberos.
+
+Package: libwind0-heimdal
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Architecture: any
