=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_makeshlibs -plibwind0-heimdal -V"libwind0-heimdal (>= 1.4.0~git20110226.dfsg.1-1)" -- -c4
 
 override_dh_auto_test:
-	echo testsuite disabled
+	$(MAKE) check
 
 override_dh_auto_configure:
 	./configure $(shell dpkg-buildflags --export=configure) \
@@ -113,6 +113,7 @@
 	mkdir -p debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
 		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so \
 		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 	# remove general purpose utilities
@@ -132,10 +133,6 @@
 	# rewrite symlinks to symlinks to point directly to file
 	for l in debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.so; do \
 		ln -s -f ../`readlink $$l` $$l ; \
-		done
-	mkdir -p debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal
-	for l in debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.so debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.a; do \
-		ln -s heimdal/`basename $$l` debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/`basename $$l`; \
 	done
 	mv debian/heimdal-multidev/usr/bin/krb5-config \
 	   debian/heimdal-multidev/usr/bin/krb5-config.heimdal
@@ -183,3 +180,8 @@
 	mv debian/heimdal-clients/usr/share/man/man1/ksu.1 \
 	   debian/heimdal-clients/usr/share/man/man1/ksu.heimdal.1
 	mv debian/heimdal-clients/usr/share/man/man1/kswitch.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kswitch.heimdal.1
+	mv debian/heimdal-clients/usr/share/man/man1/klist.1 \
+	   debian/heimdal-clients/usr/share/man/man1/klist.heimdal.1
+	mv debian/heimdal-servers/usr/share/man/man1/login.1 \
+	   debian/heimdal-servers/usr/share/man/man1/login.heimdal.1
